Bug 1226 - Fast Cloud "Void" Voxels Appear To Absorb Energy
Summary: Fast Cloud "Void" Voxels Appear To Absorb Energy
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: Materials/Radiometry (show other bugs)
Version: 4.7.1-release
Hardware: Intel x86-64 Linux 64-bit
: P5 normal
Assignee: Adam Goodenough
URL:
Depends on:
Blocks:
 
Reported: 2016-08-11 11:57 EDT by Jeff Dank
Modified: 2016-10-12 14:06 EDT (History)
2 users (show)

See Also:


Attachments
box floating over plate (656.33 KB, image/png)
2016-09-14 09:58 EDT, Jeff Dank
Details
comparison of non-void and voided grid (838.95 KB, image/png)
2016-09-22 16:49 EDT, Adam Goodenough
Details
View of path radiance truth (143.12 KB, image/png)
2016-10-12 11:33 EDT, Jeff Dank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Dank 2016-08-11 11:57:42 EDT
The thicker the amount of void voxels the more energy is getting absorbed.

i.e. 10 x 10 x 10 grid void grid will appear more transmissive than a 10 x 10 x 1000 grid.

I would expect for there to be no difference between a void voxel and the atmosphere.

It seems eerily similar to Bug 854 dealing with the blackadar plume
Comment 1 Adam Goodenough 2016-09-13 14:39:41 EDT
I just ran one of the cloud sims that uses the voxel grid for the clouds over Tahoe. I increased the number of vertical layers from 41 to 101, but I didn't see any difference in the transmitted radiance passing traveling through another 300m or so of empty (void) layers. I also made sure to fill one of the top layer cells, just to make sure it wasn't eliminating all the empty layers together.

Would it be possible for you to attach a copy of the grids you are working with where you see the change in transmission?
Comment 2 Jeff Dank 2016-09-14 09:58:31 EDT
Created attachment 391 [details]
box floating over plate

void box floating over a plate
Comment 3 Jeff Dank 2016-09-14 11:18:37 EDT
I'm not sure if my comments got captured in the attachment...

I used a 1x1x1000 scaling in the material file for this 80x80x20 grid of all voids
Comment 4 Adam Goodenough 2016-09-22 16:48:19 EDT
I am just not able to see this one -- I'm going to attach some images but I made a simple grid with one cell with >>0 concentration and 999 void cells above it. Then I changed the concentration of that one cell to zero. In the first I can clearly see the very dense cell; in the second I don't see anything at all.

What are the absolute values in the image you show (in the grid and outside the grid)?
Comment 5 Adam Goodenough 2016-09-22 16:49:41 EDT
Created attachment 393 [details]
comparison of non-void and voided grid
Comment 6 Jeff Dank 2016-09-24 01:26:36 EDT
it's not a very large delta...

I can get you a full demo of this and a demo of the phase file by Tuesday
Comment 7 Jeff Dank 2016-09-26 15:16:59 EDT
I had to email the files to you since what I wanted to package up was a little too big. There is a readme in there as well. The void bug appears more towards 0.4um than 0.6um. It does not appear when uniform atmosphere is used like in the bundling demo.
Comment 8 Adam Goodenough 2016-09-26 16:02:05 EDT
unfortunately the attachment was eaten by the mail server -- any chance you can disguise the file type or upload to dropbox/equivalent?
Comment 9 Adam Goodenough 2016-09-29 10:31:25 EDT
Thanks for the additional file transfer options, both (emailed tgz and dropbox) worked great.

Thanks to your scene I was able to track this to a missing path radiance along the segment in the cloud "box". Transmission looked ok, but the scattering term was just absent, probably because we thought the "classic" (ADB) atmosphere doesn't do a terribly good job of breaking up the initial paths (it doesn't). That said, when I added it back (along the cloud path) the results were fairly close to the regions outside the cloud box.

Its not a perfect solution (you can make out some slight differences @400nm), but it should be a lot better than what was there before. The effect seems to also have been exaggerated due to the low and fairly tall void bank. Segmented paths are something that we will be trying to address in a more holistic fashion in D5.

(Status is really "improved" instead of "fixed", but that's not an option; update will be in the forthcoming 4.7.2 release)
Comment 10 Jeff Dank 2016-10-12 11:33:08 EDT
Mr. Dobbs noticed that when the path radiance truth image is turned on there's a big box of decreased path radiance where any grid is placed. Please see the attached new attached image "void_voxel_bug.png"
Comment 11 Jeff Dank 2016-10-12 11:33:57 EDT
Created attachment 398 [details]
View of path radiance truth
Comment 12 Jeff Dank 2016-10-12 14:05:00 EDT
Sorry Adam I had forgot your previous response said exactly that